<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unionwiced__bt__gatt__operation__complete__rsp__t" kind="union" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_operation_complete_rsp_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unionwiced__bt__gatt__operation__complete__rsp__t_1ae7fe9329c32121dbc611a2e0e8ed3504" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__gatt__data__t">wiced_bt_gatt_data_t</ref></type>
        <definition>wiced_bt_gatt_data_t wiced_bt_gatt_operation_complete_rsp_t::att_value</definition>
        <argsstring />
        <name>att_value</name>
        <briefdescription>
<para>Response data for read operations (initiated using <ref kindref="member" refid="group__gatt__client__api__functions_1gae9f461e84e9cfd188d0dcf31982cf940">wiced_bt_gatt_send_read</ref>) (or) Notification or Inidcation data (or) Handle length value tuple in case of multiple notifications. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="348" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="348" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__operation__complete__rsp__t_1a542c715b7dcc20c0174db56667d4565b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_operation_complete_rsp_t::mtu</definition>
        <argsstring />
        <name>mtu</name>
        <briefdescription>
<para>Response data for configuration operations. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="351" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="351" />
      </memberdef>
      <memberdef id="unionwiced__bt__gatt__operation__complete__rsp__t_1a1d3cfc0e493e0022ca6b9c099e50e800" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_operation_complete_rsp_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>Response data for write operations (initiated using <ref kindref="member" refid="group__gatt__client__api__functions_1ga1e8c83cd289240692f4610a1012688b3">wiced_bt_gatt_send_write</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="352" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="352" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Client Operation Complete response data (dependent on operation completed) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="513">
        <label>wiced_bt_gatt_data_t</label>
        <link refid="structwiced__bt__gatt__data__t" />
      </node>
      <node id="512">
        <label>wiced_bt_gatt_operation_complete_rsp_t</label>
        <link refid="unionwiced__bt__gatt__operation__complete__rsp__t" />
        <childnode refid="513" relation="usage">
          <edgelabel>att_value</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="353" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="346" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="347" />
    <listofallmembers>
      <member prot="public" refid="unionwiced__bt__gatt__operation__complete__rsp__t_1ae7fe9329c32121dbc611a2e0e8ed3504" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_rsp_t</scope><name>att_value</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__operation__complete__rsp__t_1a1d3cfc0e493e0022ca6b9c099e50e800" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_rsp_t</scope><name>handle</name></member>
      <member prot="public" refid="unionwiced__bt__gatt__operation__complete__rsp__t_1a542c715b7dcc20c0174db56667d4565b" virt="non-virtual"><scope>wiced_bt_gatt_operation_complete_rsp_t</scope><name>mtu</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>